Bug 23701 - XFree86-devel should not be dependant on XFree86
Summary: XFree86-devel should not be dependant on XFree86
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-10 11:13 UTC by Daniel Resare
Modified: 2007-03-27 03:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-24 03:26:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Resare 2001-01-10 11:13:23 UTC
As i use a stripped down box for compiling different packages i don't need
an X server on that machine, but i need the X11 libraries and headers
(located in the XFree86-libs and XFree86-devel). So, at least to my eyes,
the fact that XFree86-devel is dependant on XFree86 is a bug, it should
only be dependant on XFree86-libs.
A patch to XFree86-4.01-1 specfile:

--- XFree86.spec.vanilla	Wed Jan 10 12:17:08 2001
+++ XFree86.spec	Wed Jan 10 12:17:26 2001
@@ -112,7 +112,7 @@
 Obsoletes: xpm-devel
 Summary: X11R6 static libraries, headers and programming man pages.
 Group: Development/Libraries
-Requires: XFree86 = %{version}
+Requires: XFree86-libs = %{version}

 %package xdm
 Summary: X Display Manager

Comment 1 Mike A. Harris 2001-01-28 18:16:07 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.